---
title: "Update Project | Nuvio Docs"
description: "Updates an existing project"
url: https://nuvio.io/docs/api/update-project
---

# Update Project

PUT `/v1/project/{id}`

Needs an API key with the [`update`](https://nuvio.io/docs/api/authentication#scopes) scope.

## Path parameters

-   `id` string Required

## Body parameters

-   `name` string

    Name of the project

-   `startDate` string

    Starting date of the project. Should be in `YYYY-MM-DD` format

-   `endDate` string

    Ending date of the project. Should be in `YYYY-MM-DD` format

-   `projectCode` string

    Name of the project

-   `budget` number

    Total budget of the project.

## Returns

The project as saved.

`401`

No usable `Authorization: Bearer {token}` header (1002).

`403`

The access token is unknown, or lacks the scope this route needs (1001).

PUT /v1/project/{id}

```
curl -X PUT https://api.nuvio.io/v1/project/7c9e6679-7425-40de-944b-e07fc1f90ae7 \
  -H "Authorization: Bearer $NUVIO_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme Supplies",
    "startDate": "2026-11-05",
    "endDate": "2026-11-05",
    "projectCode": "ACME-01",
    "budget": 100
  }'
```

Response

```
{
  "success": true,
  "errors": null,
  "data": {
    "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "name": "Acme Supplies",
    "budget": 100,
    "startDate": "2026-11-05",
    "endDate": "2026-11-05"
  }
}
```
